using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string s = "testing";
            Reverse1(s);
            Reverse2(s);
        }
        string Reverse1(string s)
        {
            char[] cs = s.ToCharArray();
            Array.Reverse(cs);
            string newstr = "";
            
            for (int i = 0; i <cs.Length; i++)
            {
                newstr += cs[i];
            }
            return newstr;
        }
        string Reverse2(string s)
        {
            string newstr = "";
            for (int i = s.Length - 1; i >= 0;i-- )
            {
                newstr += s[i];
            }
            return newstr;
        }
    }
}